Class
Score
A scoring scheme.

Score

EditDistance | Score ChainSoP | Score Manhattan | Score Matrix | Score Zero | Simple Score

Score<TValue, TSpec>
Include Headers
seqan/score.h
Parameters

TValue | The value type. Default: int
TSpec | The specializing type. Default: Simple

Specializations

EditDistance | Edit distance scoring scheme.
Score ChainSoP | Scoring scheme for chaining that uses a special method for scoring the gaps between two fragments.
Score Manhattan | Scoring scheme for chaining that computes gap scores using manhattan distance.
Score Matrix | A general scoring matrix.
Score Zero | Scoring scheme for chaining that set gap scores to 0
Simple Score | Simple scoring scheme that has scores for matches, mismatches, opening gaps and extending gaps.

Metafunctions

DefaultFindBeginPatternSpec | Type of the default findBegin pattern specialization, given a score.
Value | Type of the items in the container.

Member Functions

Score | Constructor

Functions

alignmentEvaluation | Given a multiple alignment, this function calculates all kinds of alignment statistics.
globalAlignment | Computes the best global alignment of the two sequences.
globalMsaAlignment | Computes a global multiple alignment.
localAlignment | Computes the best local alignment of two sequences.
matchRefinement | Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping.
multiLocalAlignment | Computes multiple local alignments of two sequences.
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme.
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme.
sumOfPairsScore | Given a multiple alignment, this function calculates the sum-of-pairs score.

Example Programs
Local Alignments, Global Alignments
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45